Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class AttributeAddNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.AttributeChangeNotification
                  weblogic.management.internal.AttributeChangeNotification
                      weblogic.management.AttributeAddNotification

All Implemented Interfaces:
  Serializable

Deprecated. 9.0.0.0

    public final class AttributeAddNotification

extends weblogic.management.internal.AttributeChangeNotification

This notification provides support for adding a value to an attribute of an MBean when that attribute is a type array. The notification informs the consumer that a new value has been added to that collection. It provides the name of the object, the attribute, the value and the type of the entry added to the array.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.AttributeChangeNotification
`ATTRIBUTE_CHANGE`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`AttributeAddNotification(ObjectName objectName, long seqno, long time, String s, String propertyName, String propertyClassName, Object added)` Deprecated. Construct this change notification setting the newValue to an entry this being add to the array.
`AttributeAddNotification(ObjectName source, String name, Object addedValue)` Deprecated.
`AttributeAddNotification(ObjectName source, String name, String type, Object addedValue)` Deprecated. Constructor for the AttributeAddNotification object

Method Summary
`Object` | `getAddedValue()` Deprecated. Gets the value that was added.

Methods inherited from class weblogic.management.internal.AttributeChangeNotification
`getChangeNotificationCount, toString`

Methods inherited from class javax.management.AttributeChangeNotification
`getAttributeName, getAttributeType, getNewValue, getOldValue`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeAddNotification

    public AttributeAddNotification(ObjectName source,
                                    String name,
                                    Object addedValue)

  Deprecated.

  This contructor is superseded by following constructor the constructor that accepts a type.

  Parameters:
    `source` - name of the MBean to which the attribute was added.
    `name` - the name of the attribute
    `addedValue` - the value for that attribute

### AttributeAddNotification

    public AttributeAddNotification(ObjectName source,
                                    String name,
                                    String type,
                                    Object addedValue)

  Deprecated.
  Constructor for the AttributeAddNotification object

  Parameters:
    `source` - name of the MBean to which the attribute was added.
    `name` - the name of the attribute
    `type` - the java class name of the attribute. This can be a super class of the type that is the addedValue.
    `addedValue` - the value for that attribute

### AttributeAddNotification

    public AttributeAddNotification(ObjectName objectName,
                                    long seqno,
                                    long time,
                                    String s,
                                    String propertyName,
                                    String propertyClassName,
                                    Object added)

  Deprecated.
  Construct this change notification setting the newValue to an entry this being add to the array.

  Parameters:
    `objectName` -
    `seqno` -
    `time` -
    `s` -
    `propertyName` -
    `propertyClassName` -
    `added` -

Method Detail

### getAddedValue

    public Object getAddedValue()

  Deprecated.
  Gets the value that was added.

  Returns:
    The addedValue value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD